System.Core 4.0.0.0 System.Object System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/CatchBlockProxy))

The methods can be used to create a .

Represents a catch statement in a try block.

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the body of the catch block.

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the body of the filter.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this handler catches.

- Method
  4.0.0.0
  System.String To be added.

  Returns a that represents the current .

  A that represents the current .

- Method
  4.0.0.0
  System.Linq.Expressions.CatchBlock `` `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result. The property of the result. The property of the result.
- Property
  4.0.0.0
  System.Linq.Expressions.ParameterExpression To be added. To be added.

  Gets a reference to the object caught by this handler.